Function
setValidValues
Set valid values for an argument or option of an ArgumentParser.
setValidValues(parser,optionName,values)
setValidValues(parser,argumentPosition,values)
Include Headers
seqan/arg_parse.h
Parameters

parser | The ArgumentParser object. Types: ArgumentParser
optionName | The identifier of the command line option.
argumentPosition | The index of the argument in the argument list.
values | A std::string containing all valid entries for the option. Alternatively you can pass a string containing all values separated by spaces.

Member of
ArgumentParser
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57